Bug 1548067 - rebase ceph to 12.2.4
Summary: rebase ceph to 12.2.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 3.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: z2
: 3.0
Assignee: Ken Dreyer (Red Hat)
QA Contact: Ramakrishnan Periyasamy
URL:
Whiteboard:
Depends On:
Blocks: 1325322 1489866 1493418 1499806 1506438 1507136 1507629 1509358 1538317 1541424 1543879 1544680
TreeView+ depends on / blocked
 
Reported: 2018-02-22 16:04 UTC by Ken Dreyer (Red Hat)
Modified: 2018-04-26 17:40 UTC (History)
5 users (show)

Fixed In Version: RHEL: ceph-12.2.4-1.el7cp Ubuntu: ceph_12.2.4-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-26 17:38:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1259 None None None 2018-04-26 17:40:22 UTC
Red Hat Bugzilla 1550026 None VERIFIED upgrade to 12.2.3 will cause MDSs to fail during upgrade 2019-07-10 12:04:17 UTC

Internal Links: 1550026

Description Ken Dreyer (Red Hat) 2018-02-22 16:04:42 UTC
Description of problem:
RHCEPH 3.0 currently ships Ceph v12.2.1. We should rebase to the latest upstream release of Luminous.

Steps to Reproduce:
1. Install RHCEPH 3
2. Run "ceph --version"

Actual results:
12.2.1-something

Expected results:
12.2.3-something

Comment 1 Ken Dreyer (Red Hat) 2018-02-28 16:11:49 UTC
upstream released v12.2.4 today, we'll go with that for 3.0z2

Comment 5 Harish NV Rao 2018-04-06 05:56:29 UTC
(In reply to Ken Dreyer (Red Hat) from comment #0)
> Description of problem:
> RHCEPH 3.0 currently ships Ceph v12.2.1. We should rebase to the latest
> upstream release of Luminous.
> 
> Steps to Reproduce:
> 1. Install RHCEPH 3
> 2. Run "ceph --version"
> 
> Actual results:
> 12.2.1-something
> 
> Expected results:
> 12.2.3-something

@Ken, Expected results: it should be "12.2.4-smething". Right?

Comment 6 Ken Dreyer (Red Hat) 2018-04-09 15:32:12 UTC
That's correct :)

Comment 7 Ramakrishnan Periyasamy 2018-04-11 08:08:35 UTC
Moving this bug to verified state.

Ceph version in RHEL, container and Ubuntu

RHEL: ceph version 12.2.4-6.el7cp

Ubuntu: ceph version 12.2.4-7redhat1xenial

Container: ceph version 12.2.4-6

Comment 11 errata-xmlrpc 2018-04-26 17:38:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1259


Note You need to log in before you can comment on or make changes to this bug.